Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkInteractorStyleTrackballActor Class Reference

`#include <vtkInteractorStyleTrackballActor.h>`

Inheritance diagram for vtkInteractorStyleTrackballActor:

[legend]
Collaboration diagram for vtkInteractorStyleTrackballActor:

[legend]
List of all members.

## Detailed Description

manipulate objects in the scene independent of each other

Date:
  2003/01/08 17:26:58

Revision:
  1.18

vtkInteractorStyleTrackballActor allows the user to interact with (rotate, pan, etc.) objects in the scene indendent of each other. In trackball interaction, the magnitude of the mouse motion is proportional to the actor motion associated with a particular mouse binding. For example, small left-button motions cause small changes in the rotation of the actor around its center point.

The mouse bindings are as follows. For a 3-button mouse, the left button is for rotation, the right button for zooming, the middle button for panning, and ctrl + left button for spinning. (With fewer mouse buttons, ctrl + shift + left button is for zooming, and shift + left button is for panning.)

See also:
  vtkInteractorStyleTrackballCamera vtkInteractorStyleJoystickActor vtkInteractorStyleJoystickCamera

Events:
  vtkCommand::InteractionEvent

Created by:
  - Henderson, Amy

CVS contributions (if > 5%):
  - Barre, Sebastien (47%)
  - Henderson, Amy (43%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkInteractorStyleTrackballActor.h)`
  - .`cxx` (`/Rendering/vtkInteractorStyleTrackballActor.cxx)`

Definition at line 61 of file vtkInteractorStyleTrackballActor.h.

## Public Types
typedef vtkInteractorStyle | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | Rotate ()
virtual void | Spin ()
virtual void | Pan ()
virtual void | Dolly ()
virtual void | UniformScale ()
virtual void | OnMouseMove ()
virtual void | OnLeftButtonDown ()
virtual void | OnLeftButtonUp ()
virtual void | OnMiddleButtonDown ()
virtual void | OnMiddleButtonUp ()
virtual void | OnRightButtonDown ()
virtual void | OnRightButtonUp ()
## Static Public Methods
vtkInteractorStyleTrackballActor * | New ()
int | IsTypeOf (const char *type)
vtkInteractorStyleTrackballActor * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkInteractorStyleTrackballActor ()
| ~vtkInteractorStyleTrackballActor ()
void | FindPickedActor (int x, int y)
void | Prop3DTransform (vtkProp3D *prop3D, double *boxCenter, int numRotation, double **rotate, double *scale)
void | Prop3DTransform (vtkProp3D *prop3D, float *boxCenter, int NumRotation, double **rotate, double *scale)
## Protected Attributes
float | MotionFactor
vtkProp3D * | InteractionProp
vtkCellPicker * | InteractionPicker

## Member Typedef Documentation

typedef vtkInteractorStyle vtkInteractorStyleTrackballActor::Superclass

| Reimplemented from vtkInteractorStyle. Definition at line 65 of file vtkInteractorStyleTrackballActor.h.

## Constructor & Destructor Documentation

vtkInteractorStyleTrackballActor::vtkInteractorStyleTrackballActor | ( |  | ) | `[protected]`

vtkInteractorStyleTrackballActor::~vtkInteractorStyleTrackballActor | ( |  | ) | `[protected]`

## Member Function Documentation

vtkInteractorStyleTrackballActor* vtkInteractorStyleTrackballActor::New | ( |  | ) | `[static]`

| This class must be supplied with a vtkRenderWindowInteractor wrapper or parent. This class should not normally be instantiated by application programmers. Reimplemented from vtkInteractorStyle.

virtual const char* vtkInteractorStyleTrackballActor::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkInteractorStyle.

int vtkInteractorStyleTrackballActor::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkInteractorStyle.

virtual int vtkInteractorStyleTrackballActor::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkInteractorStyle.

vtkInteractorStyleTrackballActor* vtkInteractorStyleTrackballActor::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkInteractorStyle.

void vtkInteractorStyleTrackballActor::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleTrackballActor::OnMouseMove | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleTrackballActor::OnLeftButtonDown | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleTrackballActor::OnLeftButtonUp | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleTrackballActor::OnMiddleButtonDown | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleTrackballActor::OnMiddleButtonUp | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleTrackballActor::OnRightButtonDown | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleTrackballActor::OnRightButtonUp | ( |  | ) | `[virtual]`

| Event bindings controlling the effects of pressing mouse buttons or moving the mouse. Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleTrackballActor::Rotate | ( |  | ) | `[virtual]`

| These methods for the different interactions in different modes are overridden in subclasses to perform the correct motion. Since they might be called from OnTimer, they do not have mouse coord parameters (use interactor's GetEventPosition and GetLastEventPosition) Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleTrackballActor::Spin | ( |  | ) | `[virtual]`

| These methods for the different interactions in different modes are overridden in subclasses to perform the correct motion. Since they might be called from OnTimer, they do not have mouse coord parameters (use interactor's GetEventPosition and GetLastEventPosition) Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleTrackballActor::Pan | ( |  | ) | `[virtual]`

| These methods for the different interactions in different modes are overridden in subclasses to perform the correct motion. Since they might be called from OnTimer, they do not have mouse coord parameters (use interactor's GetEventPosition and GetLastEventPosition) Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleTrackballActor::Dolly | ( |  | ) | `[virtual]`

| These methods for the different interactions in different modes are overridden in subclasses to perform the correct motion. Since they might be called from OnTimer, they do not have mouse coord parameters (use interactor's GetEventPosition and GetLastEventPosition) Reimplemented from vtkInteractorStyle.

virtual void vtkInteractorStyleTrackballActor::UniformScale | ( |  | ) | `[virtual]`

| These methods for the different interactions in different modes are overridden in subclasses to perform the correct motion. Since they might be called from OnTimer, they do not have mouse coord parameters (use interactor's GetEventPosition and GetLastEventPosition) Reimplemented from vtkInteractorStyle.

void vtkInteractorStyleTrackballActor::FindPickedActor | ( | int | x,
|  | int | y
| ) | `[protected]`

void vtkInteractorStyleTrackballActor::Prop3DTransform | ( | vtkProp3D * | prop3D,
|  | double * | boxCenter,
|  | int | numRotation,
|  | double ** | rotate,
|  | double * | scale
| ) | `[protected]`

void vtkInteractorStyleTrackballActor::Prop3DTransform | ( | vtkProp3D * | prop3D,
|  | float * | boxCenter,
|  | int | NumRotation,
|  | double ** | rotate,
|  | double * | scale
| ) | `[protected]`

## Member Data Documentation

float vtkInteractorStyleTrackballActor::MotionFactor`[protected]`

| Definition at line 108 of file vtkInteractorStyleTrackballActor.h.

vtkProp3D* vtkInteractorStyleTrackballActor::InteractionProp`[protected]`

| Definition at line 110 of file vtkInteractorStyleTrackballActor.h.

vtkCellPicker* vtkInteractorStyleTrackballActor::InteractionPicker`[protected]`

| Definition at line 111 of file vtkInteractorStyleTrackballActor.h.

The documentation for this class was generated from the following file:

- Rendering/vtkInteractorStyleTrackballActor.h